## org.apache.cassandra.dht
Class Token.KeyBound

    java.lang.Object
      org.apache.cassandra.db.RowPosition
          org.apache.cassandra.dht.Token.KeyBound

All Implemented Interfaces:
  java.lang.Comparable<RowPosition>, RingPosition<RowPosition>

Enclosing class:
  Token<T>

    public static class Token.KeyBound

extends RowPosition

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.db.RowPosition
`RowPosition.Kind, RowPosition.RowPositionSerializer`

Field Summary
`boolean` `isMinimumBound`

Method Summary
`int` `compareTo(RowPosition pos)`
`boolean` `equals(java.lang.Object obj)`
`Token` `getToken()`
`int` `hashCode()`
`boolean` `isMinimum(IPartitioner partitioner)`
`RowPosition.Kind` `kind()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.db.RowPosition
`forKey, isMinimum, serializer`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### isMinimumBound

    public final boolean isMinimumBound

Method Detail

### getToken

    public Token getToken()

  Specified by:
    `getToken` in interface `RingPosition<RowPosition>`
  Specified by:
    `getToken` in class `RowPosition`

### compareTo

    public int compareTo(RowPosition pos)

### isMinimum

    public boolean isMinimum(IPartitioner partitioner)

### kind

    public RowPosition.Kind kind()

  Specified by:
    `kind` in class `RowPosition`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2013 The Apache Software Foundation